import java.util.Vector;
import java.awt.*;
import java.util.Iterator;
import javax.swing.tree.DefaultMutableTreeNode;


 class ParticleClass{
     
     int ID=0;
     int CN=0;
     String title = null;
     Color pcolor=null;
     Color pfillcolor=null;
     //class ParticleVector extends Vector <Particle>{};
      Vector <Particle> particles[] = null;
     DefaultMutableTreeNode tnode=null;
     int sz;
     double baseR=1.0;
     public ParticleClass(Color dcolor,Color dfillcolor,int dID,int dsz){
	 sz = dsz;ID=dID;
	 title = new String("Particle Class No.: "+Integer.toString(ID));
	 pcolor=dcolor;
	 pfillcolor=dfillcolor;
	 particles = new Vector[sz];//ParticleVector[sz];
	 int i;
	 for(i=0;i<sz;i++)particles[i] = new Vector<Particle>();
	 tnode = new DefaultMutableTreeNode(this);
	 
     }
     public void setCnum(int tid){
	 
	 CN=particles[tid].size();
     }
     
     public int getPnum(){
	 int i;
	 int psum=0;
	 for(i=0;i<sz;i++)psum += particles[i].size();
	 return psum;
     }
     public String toString(){
	 title = new String("Particle Class ID.: "+Integer.toString(ID)+" Total P:"+getPnum()+" P within Current Z:"+CN);
	 return title;
     }
     public void deconstractor(){
	 
	 int i;
	 for(i=0;i<sz;i++)particles[i].removeAllElements();
     }
     public void add(double dx,double dy,double dz,double dr,double dbaseR,int tID){
	 baseR=dbaseR;
	 particles[tID].add(new Particle(dx,dy,dz,dr));
	 
     }
    }
    